QGIS Application - Feature request #13045
Ability to fix topology error
2015-06-29 01:47 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 21119
Description

the only tool that exist and works in QGIS without needing a masters degree to setup is Topology Checker, that is useful, but if we want,
for example, to delete or fix the 100 error that the topology checker show, the only possible way is to select each of them, select them
again and then delete each of that. ++

History

#1 - 2015-06-30 11:42 AM - Giovanni Manghi
- Target version set to Future Release - Nice to have
- Category set to C++ plugins/Topology checker

| agree that having a tool to check for errors and not having one for fixing them (in the same place) is frustrating. Anyway there are two things to say here: In
Nodebo we seen a presentation from Sourcepole showing a very (very) nice tool to fix geometries. This needs some upstream (geos) patching, but
hopefully in the next future will make it into qgis core. The second thing is that is not really needed a master degree to run a GRASS tool in the Processing
toolbox (and use the cleaning options) or to install the plugin (for Processing) that allows to use the ST_Makevalid function on any datasource.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
#3 - 2018-05-16 01:20 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Now, when we have a Processing algorithm to fix geometries and Geometry Checker plugin | think we can close this. Please reopen if necessary.
